* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;	
}

body {
	font-family: 'Montserrat', sans-serif;
	font-family: 'Roboto', sans-serif;
}

/*Nav*/

.nav-link {
	color: white;
	font-size: 18px;
  	margin: 0;
	font-family: 'Roboto', sans-serif;  

 }

 .navbar-nav {
 	background-color: black;
 	border-radius: 10px;
 	padding-left: 5px;
 	padding-right: 5px;
 }

#mySidenav {
  	height: 100%; 
  	width: 0;
  	position: fixed; 
  	z-index: 10; 
  	top: 0; 
  	right: 0;
  	background-color: #191970;
  	overflow-x: hidden; 
  	transition: 0.5s; 
}

#mySidenav a {
  	padding: 20px 8px 8px 20px;
  	text-decoration: none;
  	font-size: 20px;
  	display: block;
  	transition: 0.3s;
  	color: white;
}

#mySidenav a:hover, #mySidenav a:active {
	color: deepskyblue;
}

.navbar {
	z-index: 3;
	height: 50px;
}

#hamburger {
	color:  white;
	font-size: 30px;
}

#hamburger:hover {
	color: deepskyblue;
	cursor: pointer;
}

@media only screen and (min-width: 576px) {
	#hamburger {
		display: none;
	}

	#mySidenav {
		display: none;
	}
}

@media only screen and (max-width: 575px) {
	.nav-link {
		display: none;
	}
}


/*Home*/

#home {
	padding-top: 25vh;
	color: white;
	padding-left: 5px;
	padding-right: 5px;
}

.hplink {
	position: relative; 
	z-index: 6 !important;
	color: deepskyblue;
}

#home h1 {
	font-size: 40px;
	color: deepskyblue;
}

#home h2 {
	font-size: 20px;
}

#home div {
	text-align: center;
	margin-left:  auto;
	margin-right: auto;
}

#home a + p {
	font-size: 14px;
	padding-top: 60px;
	margin-bottom: 0;	
}

#home > p {
	font-family: 'Source Sans Pro', sans-serif;
	font-size: 30px;
}


@media only screen and (min-width: 768px) {
	#home {
		padding-left: 12%;
	}
	#home > div {
		text-align: left;		
	}
	#home h1 {
		font-size: 65px;
	}
	#home h2 {
		font-size: 23px;
	}
	#home > div > a {
		margin-left: 100px;
	}

}

@media only screen and (min-width: 992px) {
	#home {
		padding-top: 18vh;
	}
	#home h1 {
		font-size: 100px;
	}
	#home h2 {
		font-size: 32px;
	}
	#home > div > a {
		margin-left: 110px;
	}
}

@media only screen and (min-width: 1200px) {
	#home {
		padding-top: 22vh;
	}
}



/*About Me*/

#about-me-divider {
	padding-top: 60px;
	padding-bottom: 2%;
}


#about-text > p {

	text-align:  justify;
}

#about-img {	
	padding-left: 5%;
	padding-right: 5%;
	padding-bottom: 10%;
}

@media only screen and (max-width: 768px) {
	#about-img {
		max-width: 375px;
	}
}

@media only screen and (max-width: 380px) {
	#about-text > p {
		text-align:  center;
	}
}

#about-me li {
	text-align: center;
}

/*Projects*/

#projects {
	padding-top: 70px;
	margin-bottom: 50px;
	background: linear-gradient(to right, #000000, #191970);
}

#cardset {
	padding-top: 3%;
	margin-left: 7%;
	margin-right:  7%;
	row-gap: 40px;

}

.card {
	max-width: 300px;
	min-height: 380px;

}


/*Contact*/

#contact {
	min-height: 90vh;
	padding-top: 50px;	
}

textarea {
	resize: none;
}

@media only screen and (min-width: 100px) {
	iframe {
		width: 80px;
		height: 60px;
	}
}

@media only screen and (min-width: 200px) {
	iframe {
		width: 180px;
		height: 135px;
	}
}

@media only screen and (min-width: 300px) {
	iframe {
		width: 280px;
		height: 210px;
	}
}

@media only screen and (min-width: 400px) {
	iframe {
		width: 380px;
		height: 285px;
	}
}

@media only screen and (min-width: 520px) {
	iframe {
		width: 500px;
		height: 375px;
	}
}


/*Footer*/

footer {
	color:  white;
	background-color: black;
	height: 50px;
}


/*animation*/


#home {
	background: linear-gradient(to right, #000000, #000000, #191970);	
}

.circle {
	position:  absolute;
	top: 0;
	left: 0;
	width:  100%;
	height:  100%;
	overflow:  hidden;
}

.circle li {
	position: absolute;
	display: block;
	list-style: none;
	background: rgba(255,255,255,0.2);
	animation:  animate 20s linear infinite;
	bottom: -150px;
	border-radius: 50%;
}

.circle li:nth-child(1) {
	left: 86%;
	width: 80px;
	height: 80px;
	animation-delay:  0s;
}

.circle li:nth-child(2) {
	left: 12%;
	width: 30px;
	height: 30px;
	animation-delay:  1.5s;
	animation-duration: 10s;
}

.circle li:nth-child(3) {
	left: 70%;
	width: 100px;
	height: 100px;
	animation-delay:  5.5s;
}

.circle li:nth-child(4) {
	left: 42%;
	width: 150px;
	height: 150px;
	animation-delay:  0s;
	animation-duration: 15s;
}

.circle li:nth-child(5) {
	left: 35%;
	width: 40px;
	height: 40px;
	animation-delay:  0s;
}

.circle li:nth-child(6) {
	left: 15%;
	width: 110px;
	height: 110px;
	animation-delay:  3.5s;
}

.circle li:nth-child(6) {
	left: 15%;
	width: 110px;
	height: 110px;
	animation-delay:  3.5s;
}

.circle li:nth-child(7) {
	left: 90%;
	width: 105px;
	height: 105px;
	animation-delay:  8s;
}

@keyframes animate {
	0% {
		transform: translateY(0);
    	opacity:  1;
  	}
  	100% {
	    transform: translateY(-900px);
	    opacity:  0;
  	}
}







